Show / Hide Table of Contents

# Struct StylePtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: imnodesNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct StylePtr

### Constructors

| Improve this Doc View Source

#### StylePtr(Style*)

##### Declaration

    public StylePtr(Style*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
Style* | nativePtr |

| Improve this Doc View Source

#### StylePtr(IntPtr)

##### Declaration

    public StylePtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### colors

##### Declaration

    public RangeAccessor<uint> colors { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.UInt32> |

| Improve this Doc View Source

#### flags

##### Declaration

    public StyleFlags flags { get; }

##### Property Value

Type | Description
--- | ---
StyleFlags |

| Improve this Doc View Source

#### grid_spacing

##### Declaration

    public float grid_spacing { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### link_hover_distance

##### Declaration

    public float link_hover_distance { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### link_line_segments_per_length

##### Declaration

    public float link_line_segments_per_length { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### link_thickness

##### Declaration

    public float link_thickness { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public Style*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
Style* |

| Improve this Doc View Source

#### node_border_thickness

##### Declaration

    public float node_border_thickness { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### node_corner_rounding

##### Declaration

    public float node_corner_rounding { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### node_padding_horizontal

##### Declaration

    public float node_padding_horizontal { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### node_padding_vertical

##### Declaration

    public float node_padding_vertical { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### pin_circle_radius

##### Declaration

    public float pin_circle_radius { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### pin_hover_radius

##### Declaration

    public float pin_hover_radius { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### pin_line_thickness

##### Declaration

    public float pin_line_thickness { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### pin_offset

##### Declaration

    public float pin_offset { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### pin_quad_side_length

##### Declaration

    public float pin_quad_side_length { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### pin_triangle_side_length

##### Declaration

    public float pin_triangle_side_length { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

### Methods

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

### Operators

| Improve this Doc View Source

#### Implicit(Style* to StylePtr)

##### Declaration

    public static implicit operator StylePtr(Style*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
Style* | nativePtr |

##### Returns

Type | Description
--- | ---
StylePtr |

| Improve this Doc View Source

#### Implicit(StylePtr to Style*)

##### Declaration

    public static implicit operator Style*(StylePtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
StylePtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
Style* |

| Improve this Doc View Source

#### Implicit(IntPtr to StylePtr)

##### Declaration

    public static implicit operator StylePtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
StylePtr |